/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.scrm_tags;

insert into  data_api.scrm_tags ( 
	 id 
	, name 
	, group_name 
	, type 
	, date_created 
	, last_updated 
	,etl_tx_dt
)
select 
	 case when trim(both from id)='' then null else  id::text  end  id 
	, case when trim(both from name)='' then null else  name::text  end  name 
	, case when trim(both from group_name)='' then null else  group_name::text  end  group_name 
	, case when trim(both from type)='' then null else  type::text  end  type 
	, case when trim(both from date_created)='' then null else  date_created::text  end  date_created 
	, case when trim(both from last_updated)='' then null else  last_updated::text  end  last_updated 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'id')  id 
	, (json_array_elements(data::json)::json->>'name')  name 
	, (json_array_elements(data::json)::json->>'groupName')  group_name 
	, (json_array_elements(data::json)::json->>'type')  type 
	, (json_array_elements(data::json)::json->>'dateCreated')  date_created 
	, (json_array_elements(data::json)::json->>'lastUpdated')  last_updated 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='a7cf7f4d-108d-410c-9308-e13dfc56' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='a7cf7f4d-108d-410c-9308-e13dfc56';
\q