
create table if not exists p10_sa.S98_S_tr_ticket_detail (
	 id  TEXT 
	, workflow_id  TEXT 
	, workflow_name  TEXT 
	, workflow_category_id  TEXT 
	, workflow_category_name  TEXT 
	, topic  TEXT 
	, level  TEXT 
	, status  TEXT 
	, state  TEXT 
	, type  TEXT 
	, creator_type  TEXT 
	, creator_id  TEXT 
	, creator_name  TEXT 
	, modifier_type  TEXT 
	, modifier_id  TEXT 
	, modifier_name  TEXT 
	, focus  TEXT 
	, state_selected  TEXT 
	, source  TEXT 
	, end_time  TEXT 
	, create_time  TEXT 
	, update_time  TEXT 
	, customer_id  TEXT 
	, customer_name  TEXT 
	, customer_tel  TEXT 
	, tags  TEXT 
	, comments  TEXT 
	, start_form  TEXT 
	, operation_logs  TEXT 
	, operation_logs_new  TEXT 
	, call_id  TEXT 
	, close_time  TEXT 
	, forms  TEXT 
	, system_form  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.id IS '工单 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.workflow_id IS '工作流 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.workflow_name IS '工作流名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.workflow_category_id IS '模板类别id'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.workflow_category_name IS '模板类别名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.topic IS '工单主题'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.level IS '工单优先级'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.status IS '工单系统状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.state IS '自定义状态数组'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.type IS '模板类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.creator_type IS '创建人类型 '; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.creator_id IS '创建人 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.creator_name IS '创建人名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.modifier_type IS '修改人类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.modifier_id IS '修改人 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.modifier_name IS '修改人名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.focus IS '关注人数组集合'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.state_selected IS '当前工单状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.source IS '来源 '; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.end_time IS '结束时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.create_time IS '创建时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.update_time IS '更新时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.customer_id IS '客户 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.customer_name IS '客户名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.customer_tel IS '客户电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.tags IS '工单标签数组 '; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.comments IS '评论人数组 '; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.start_form IS '起始表单'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.operation_logs IS '工单操作日志 '; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.operation_logs_new IS '工单操作日志v2'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.call_id IS '通话记录唯一标识'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.close_time IS '关闭时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.forms IS '历史表单'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.system_form IS '工单属性表单 '; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_detail.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_ticket_detail IS '工单详情';


create table if not exists p12_sfull.S98_S_tr_ticket_detail (
	 id  TEXT 
	, workflow_id  TEXT 
	, workflow_name  TEXT 
	, workflow_category_id  TEXT 
	, workflow_category_name  TEXT 
	, topic  TEXT 
	, level  TEXT 
	, status  TEXT 
	, state  TEXT 
	, type  TEXT 
	, creator_type  TEXT 
	, creator_id  TEXT 
	, creator_name  TEXT 
	, modifier_type  TEXT 
	, modifier_id  TEXT 
	, modifier_name  TEXT 
	, focus  TEXT 
	, state_selected  TEXT 
	, source  TEXT 
	, end_time  TEXT 
	, create_time  TEXT 
	, update_time  TEXT 
	, customer_id  TEXT 
	, customer_name  TEXT 
	, customer_tel  TEXT 
	, tags  TEXT 
	, comments  TEXT 
	, start_form  TEXT 
	, operation_logs  TEXT 
	, operation_logs_new  TEXT 
	, call_id  TEXT 
	, close_time  TEXT 
	, forms  TEXT 
	, system_form  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.id IS '工单 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.workflow_id IS '工作流 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.workflow_name IS '工作流名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.workflow_category_id IS '模板类别id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.workflow_category_name IS '模板类别名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.topic IS '工单主题'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.level IS '工单优先级'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.status IS '工单系统状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.state IS '自定义状态数组'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.type IS '模板类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.creator_type IS '创建人类型 '; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.creator_id IS '创建人 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.creator_name IS '创建人名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.modifier_type IS '修改人类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.modifier_id IS '修改人 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.modifier_name IS '修改人名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.focus IS '关注人数组集合'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.state_selected IS '当前工单状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.source IS '来源 '; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.end_time IS '结束时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.create_time IS '创建时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.update_time IS '更新时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.customer_id IS '客户 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.customer_name IS '客户名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.customer_tel IS '客户电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.tags IS '工单标签数组 '; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.comments IS '评论人数组 '; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.start_form IS '起始表单'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.operation_logs IS '工单操作日志 '; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.operation_logs_new IS '工单操作日志v2'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.call_id IS '通话记录唯一标识'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.close_time IS '关闭时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.forms IS '历史表单'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.system_form IS '工单属性表单 '; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_detail.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_ticket_detail IS '工单详情';

