/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_cc_cdr_ob_list;

insert into  data_api.tr_cc_cdr_ob_list ( 
	 customer_number 
	, customer_number_encrypt 
	, customer_area 
	, customer_province 
	, customer_city 
	, call_type 
	, call_type_key 
	, left_clid 
	, left_clid_area 
	, left_clid_province 
	, left_clid_city 
	, trunk_group_key 
	, xnumber 
	, xnumber_area 
	, xnumber_province 
	, xnumber_city 
	, status 
	, status_desc 
	, tag_names 
	, main_unique_id 
	, request_unique_id 
	, ob_sip_cause 
	, on_hook_source 
	, record_file 
	, asr_record 
	, evaluation 
	, investigation_keys 
	, call_id 
	, webrtc_call_id 
	, rtc_uid 
	, cno 
	, client_name 
	, client_number 
	, start_time 
	, up_time 
	, callee_ringing_time 
	, bridge_time 
	, end_time 
	, bridge_duration 
	, total_duration 
	, pre_ring_wait_duration 
	, callee_ringing_duration 
	, ob_wait_duration 
	, task_id 
	, task_name 
	, task_inventory_id 
	, exist_ticket 
	, ticket_ids 
	, exist_business 
	, business_ids 
	, user_field 
	, exist_customer 
	, customer_area_code 
	, customer_post_code 
	, customer_vip 
	, enterprise_id 
	, mark_data 
	, type 
	,etl_tx_dt
)
select 
	 case when trim(both from customer_number)='' then null else  customer_number::text  end  customer_number 
	, case when trim(both from customer_number_encrypt)='' then null else  customer_number_encrypt::text  end  customer_number_encrypt 
	, case when trim(both from customer_area)='' then null else  customer_area::text  end  customer_area 
	, case when trim(both from customer_province)='' then null else  customer_province::text  end  customer_province 
	, case when trim(both from customer_city)='' then null else  customer_city::text  end  customer_city 
	, case when trim(both from call_type)='' then null else  call_type::text  end  call_type 
	, case when trim(both from call_type_key)='' then null else  call_type_key::text  end  call_type_key 
	, case when trim(both from left_clid)='' then null else  left_clid::text  end  left_clid 
	, case when trim(both from left_clid_area)='' then null else  left_clid_area::text  end  left_clid_area 
	, case when trim(both from left_clid_province)='' then null else  left_clid_province::text  end  left_clid_province 
	, case when trim(both from left_clid_city)='' then null else  left_clid_city::text  end  left_clid_city 
	, case when trim(both from trunk_group_key)='' then null else  trunk_group_key::text  end  trunk_group_key 
	, case when trim(both from xnumber)='' then null else  xnumber::text  end  xnumber 
	, case when trim(both from xnumber_area)='' then null else  xnumber_area::text  end  xnumber_area 
	, case when trim(both from xnumber_province)='' then null else  xnumber_province::text  end  xnumber_province 
	, case when trim(both from xnumber_city)='' then null else  xnumber_city::text  end  xnumber_city 
	, case when trim(both from status)='' then null else  status::text  end  status 
	, case when trim(both from status_desc)='' then null else  status_desc::text  end  status_desc 
	, case when trim(both from tag_names)='' then null else  tag_names::text  end  tag_names 
	, case when trim(both from main_unique_id)='' then null else  main_unique_id::text  end  main_unique_id 
	, case when trim(both from request_unique_id)='' then null else  request_unique_id::text  end  request_unique_id 
	, case when trim(both from ob_sip_cause)='' then null else  ob_sip_cause::text  end  ob_sip_cause 
	, case when trim(both from on_hook_source)='' then null else  on_hook_source::text  end  on_hook_source 
	, case when trim(both from record_file)='' then null else  record_file::text  end  record_file 
	, case when trim(both from asr_record)='' then null else  asr_record::text  end  asr_record 
	, case when trim(both from evaluation)='' then null else  evaluation::text  end  evaluation 
	, case when trim(both from investigation_keys)='' then null else  investigation_keys::text  end  investigation_keys 
	, case when trim(both from call_id)='' then null else  call_id::text  end  call_id 
	, case when trim(both from webrtc_call_id)='' then null else  webrtc_call_id::text  end  webrtc_call_id 
	, case when trim(both from rtc_uid)='' then null else  rtc_uid::text  end  rtc_uid 
	, case when trim(both from cno)='' then null else  cno::text  end  cno 
	, case when trim(both from client_name)='' then null else  client_name::text  end  client_name 
	, case when trim(both from client_number)='' then null else  client_number::text  end  client_number 
	, case when trim(both from start_time)='' then null else  start_time::text  end  start_time 
	, case when trim(both from up_time)='' then null else  up_time::text  end  up_time 
	, case when trim(both from callee_ringing_time)='' then null else  callee_ringing_time::text  end  callee_ringing_time 
	, case when trim(both from bridge_time)='' then null else  bridge_time::text  end  bridge_time 
	, case when trim(both from end_time)='' then null else  end_time::text  end  end_time 
	, case when trim(both from bridge_duration)='' then null else  bridge_duration::text  end  bridge_duration 
	, case when trim(both from total_duration)='' then null else  total_duration::text  end  total_duration 
	, case when trim(both from pre_ring_wait_duration)='' then null else  pre_ring_wait_duration::text  end  pre_ring_wait_duration 
	, case when trim(both from callee_ringing_duration)='' then null else  callee_ringing_duration::text  end  callee_ringing_duration 
	, case when trim(both from ob_wait_duration)='' then null else  ob_wait_duration::text  end  ob_wait_duration 
	, case when trim(both from task_id)='' then null else  task_id::text  end  task_id 
	, case when trim(both from task_name)='' then null else  task_name::text  end  task_name 
	, case when trim(both from task_inventory_id)='' then null else  task_inventory_id::text  end  task_inventory_id 
	, case when trim(both from exist_ticket)='' then null else  exist_ticket::text  end  exist_ticket 
	, case when trim(both from ticket_ids)='' then null else  ticket_ids::text  end  ticket_ids 
	, case when trim(both from exist_business)='' then null else  exist_business::text  end  exist_business 
	, case when trim(both from business_ids)='' then null else  business_ids::text  end  business_ids 
	, case when trim(both from user_field)='' then null else  user_field::text  end  user_field 
	, case when trim(both from exist_customer)='' then null else  exist_customer::text  end  exist_customer 
	, case when trim(both from customer_area_code)='' then null else  customer_area_code::text  end  customer_area_code 
	, case when trim(both from customer_post_code)='' then null else  customer_post_code::text  end  customer_post_code 
	, case when trim(both from customer_vip)='' then null else  customer_vip::text  end  customer_vip 
	, case when trim(both from enterprise_id)='' then null else  enterprise_id::text  end  enterprise_id 
	, case when trim(both from mark_data)='' then null else  mark_data::text  end  mark_data 
	, case when trim(both from type)='' then null else  type::text  end  type 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'customerNumber')  customer_number 
	, (json_array_elements(data::json)::json->>'customerNumberEncrypt')  customer_number_encrypt 
	, (json_array_elements(data::json)::json->>'customerArea')  customer_area 
	, (json_array_elements(data::json)::json->>'customerProvince')  customer_province 
	, (json_array_elements(data::json)::json->>'customerCity')  customer_city 
	, (json_array_elements(data::json)::json->>'callType')  call_type 
	, (json_array_elements(data::json)::json->>'callTypeKey')  call_type_key 
	, (json_array_elements(data::json)::json->>'leftClid')  left_clid 
	, (json_array_elements(data::json)::json->>'leftClidArea')  left_clid_area 
	, (json_array_elements(data::json)::json->>'leftClidProvince')  left_clid_province 
	, (json_array_elements(data::json)::json->>'leftClidCity')  left_clid_city 
	, (json_array_elements(data::json)::json->>'trunkGroupKey')  trunk_group_key 
	, (json_array_elements(data::json)::json->>'xnumber')  xnumber 
	, (json_array_elements(data::json)::json->>'xnumberArea')  xnumber_area 
	, (json_array_elements(data::json)::json->>'xnumberProvince')  xnumber_province 
	, (json_array_elements(data::json)::json->>'xnumberCity')  xnumber_city 
	, (json_array_elements(data::json)::json->>'status')  status 
	, (json_array_elements(data::json)::json->>'statusDesc')  status_desc 
	, (json_array_elements(data::json)::json->>'tagNames')  tag_names 
	, (json_array_elements(data::json)::json->>'mainUniqueId')  main_unique_id 
	, (json_array_elements(data::json)::json->>'requestUniqueId')  request_unique_id 
	, (json_array_elements(data::json)::json->>'obSipCause')  ob_sip_cause 
	, (json_array_elements(data::json)::json->>'onHookSource')  on_hook_source 
	, (json_array_elements(data::json)::json->>'recordFile')  record_file 
	, (json_array_elements(data::json)::json->>'asrRecord')  asr_record 
	, (json_array_elements(data::json)::json->>'evaluation')  evaluation 
	, (json_array_elements(data::json)::json->>'investigationKeys')  investigation_keys 
	, (json_array_elements(data::json)::json->>'callId')  call_id 
	, (json_array_elements(data::json)::json->>'webrtcCallId')  webrtc_call_id 
	, (json_array_elements(data::json)::json->>'rtcUid')  rtc_uid 
	, (json_array_elements(data::json)::json->>'cno')  cno 
	, (json_array_elements(data::json)::json->>'clientName')  client_name 
	, (json_array_elements(data::json)::json->>'clientNumber')  client_number 
	, (json_array_elements(data::json)::json->>'startTime')  start_time 
	, (json_array_elements(data::json)::json->>'upTime')  up_time 
	, (json_array_elements(data::json)::json->>'calleeRingingTime')  callee_ringing_time 
	, (json_array_elements(data::json)::json->>'bridgeTime')  bridge_time 
	, (json_array_elements(data::json)::json->>'endTime')  end_time 
	, (json_array_elements(data::json)::json->>'bridgeDuration')  bridge_duration 
	, (json_array_elements(data::json)::json->>'totalDuration')  total_duration 
	, (json_array_elements(data::json)::json->>'preRingWaitDuration')  pre_ring_wait_duration 
	, (json_array_elements(data::json)::json->>'calleeRingingDuration')  callee_ringing_duration 
	, (json_array_elements(data::json)::json->>'obWaitDuration')  ob_wait_duration 
	, (json_array_elements(data::json)::json->>'taskId')  task_id 
	, (json_array_elements(data::json)::json->>'taskName')  task_name 
	, (json_array_elements(data::json)::json->>'taskInventoryId')  task_inventory_id 
	, (json_array_elements(data::json)::json->>'existTicket')  exist_ticket 
	, (json_array_elements(data::json)::json->>'ticketIds')  ticket_ids 
	, (json_array_elements(data::json)::json->>'existBusiness')  exist_business 
	, (json_array_elements(data::json)::json->>'businessIds')  business_ids 
	, (json_array_elements(data::json)::json->>'userField')  user_field 
	, (json_array_elements(data::json)::json->>'existCustomer')  exist_customer 
	, (json_array_elements(data::json)::json->>'customerAreaCode')  customer_area_code 
	, (json_array_elements(data::json)::json->>'customerPostCode')  customer_post_code 
	, (json_array_elements(data::json)::json->>'customerVip')  customer_vip 
	, (json_array_elements(data::json)::json->>'enterpriseId')  enterprise_id 
	, (json_array_elements(data::json)::json->>'markData')  mark_data 
	, (json_array_elements(data::json)::json->>'type')  type 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='3f5c5267f3ec40899b8b11cd592dda25' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='3f5c5267f3ec40899b8b11cd592dda25';
\q