/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_cc_cdr_ob_detail;

insert into  data_api.tr_cc_cdr_ob_detail ( 
	 cno 
	, client_name 
	, client_number 
	, start_time 
	, callee_ringing_time 
	, answer_time 
	, end_time 
	, bridge_duration 
	, call_type 
	, call_type_desc 
	, detail_call_type 
	, detail_call_type_desc 
	, ob_sip_cause 
	, sip_cause 
	, sip_cause_desc 
	, record_file 
	, tsi_file 
	, call_id 
	, webrtc_call_id 
	, main_unique_id 
	, unique_id 
	,etl_tx_dt
)
select 
	 case when trim(both from cno)='' then null else  cno::text  end  cno 
	, case when trim(both from client_name)='' then null else  client_name::text  end  client_name 
	, case when trim(both from client_number)='' then null else  client_number::text  end  client_number 
	, case when trim(both from start_time)='' then null else  start_time::text  end  start_time 
	, case when trim(both from callee_ringing_time)='' then null else  callee_ringing_time::text  end  callee_ringing_time 
	, case when trim(both from answer_time)='' then null else  answer_time::text  end  answer_time 
	, case when trim(both from end_time)='' then null else  end_time::text  end  end_time 
	, case when trim(both from bridge_duration)='' then null else  bridge_duration::text  end  bridge_duration 
	, case when trim(both from call_type)='' then null else  call_type::text  end  call_type 
	, case when trim(both from call_type_desc)='' then null else  call_type_desc::text  end  call_type_desc 
	, case when trim(both from detail_call_type)='' then null else  detail_call_type::text  end  detail_call_type 
	, case when trim(both from detail_call_type_desc)='' then null else  detail_call_type_desc::text  end  detail_call_type_desc 
	, case when trim(both from ob_sip_cause)='' then null else  ob_sip_cause::text  end  ob_sip_cause 
	, case when trim(both from sip_cause)='' then null else  sip_cause::text  end  sip_cause 
	, case when trim(both from sip_cause_desc)='' then null else  sip_cause_desc::text  end  sip_cause_desc 
	, case when trim(both from record_file)='' then null else  record_file::text  end  record_file 
	, case when trim(both from tsi_file)='' then null else  tsi_file::text  end  tsi_file 
	, case when trim(both from call_id)='' then null else  call_id::text  end  call_id 
	, case when trim(both from webrtc_call_id)='' then null else  webrtc_call_id::text  end  webrtc_call_id 
	, case when trim(both from main_unique_id)='' then null else  main_unique_id::text  end  main_unique_id 
	, case when trim(both from unique_id)='' then null else  unique_id::text  end  unique_id 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'cno')  cno 
	, (json_array_elements(data::json)::json->>'clientName')  client_name 
	, (json_array_elements(data::json)::json->>'clientNumber')  client_number 
	, (json_array_elements(data::json)::json->>'startTime')  start_time 
	, (json_array_elements(data::json)::json->>'calleeRingingTime')  callee_ringing_time 
	, (json_array_elements(data::json)::json->>'answerTime')  answer_time 
	, (json_array_elements(data::json)::json->>'endTime')  end_time 
	, (json_array_elements(data::json)::json->>'bridgeDuration')  bridge_duration 
	, (json_array_elements(data::json)::json->>'callType')  call_type 
	, (json_array_elements(data::json)::json->>'callTypeDesc')  call_type_desc 
	, (json_array_elements(data::json)::json->>'detailCallType')  detail_call_type 
	, (json_array_elements(data::json)::json->>'detailCallTypeDesc')  detail_call_type_desc 
	, (json_array_elements(data::json)::json->>'obSipCause')  ob_sip_cause 
	, (json_array_elements(data::json)::json->>'sipCause')  sip_cause 
	, (json_array_elements(data::json)::json->>'sipCauseDesc')  sip_cause_desc 
	, (json_array_elements(data::json)::json->>'recordFile')  record_file 
	, (json_array_elements(data::json)::json->>'tsiFile')  tsi_file 
	, (json_array_elements(data::json)::json->>'callId')  call_id 
	, (json_array_elements(data::json)::json->>'webrtcCallId')  webrtc_call_id 
	, (json_array_elements(data::json)::json->>'mainUniqueId')  main_unique_id 
	, (json_array_elements(data::json)::json->>'uniqueId')  unique_id 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='7a38de24858a40ed9837f61ca7f80b08' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='7a38de24858a40ed9837f61ca7f80b08';
\q