/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_cc_cdr_ib_list;

insert into  data_api.tr_cc_cdr_ib_list ( 
	 agent_answer_in_time 
	, bridge_duration 
	, bridge_time 
	, call_id 
	, customer_city 
	, customer_number 
	, customer_number_encrypt 
	, customer_province 
	, end_time 
	, evaluation 
	, first_call_cname 
	, first_call_cno 
	, first_call_number 
	, first_call_qname 
	, first_call_qno 
	, first_join_queue_time 
	, hotline 
	, hotline_name 
	, investigation_keys 
	, ivr_name 
	, main_unique_id 
	, on_hook_source 
	, record_file 
	, say_voice_duration 
	, start_time 
	, status 
	, status_result 
	, status_robot 
	, tag_names 
	, total_duration 
	, user_field 
	, webrtc_call_id 
	, xnumber 
	,etl_tx_dt
)
select 
	 case when trim(both from agent_answer_in_time)='' then null else  agent_answer_in_time::text  end  agent_answer_in_time 
	, case when trim(both from bridge_duration)='' then null else  bridge_duration::text  end  bridge_duration 
	, case when trim(both from bridge_time)='' then null else  bridge_time::text  end  bridge_time 
	, case when trim(both from call_id)='' then null else  call_id::text  end  call_id 
	, case when trim(both from customer_city)='' then null else  customer_city::text  end  customer_city 
	, case when trim(both from customer_number)='' then null else  customer_number::text  end  customer_number 
	, case when trim(both from customer_number_encrypt)='' then null else  customer_number_encrypt::text  end  customer_number_encrypt 
	, case when trim(both from customer_province)='' then null else  customer_province::text  end  customer_province 
	, case when trim(both from end_time)='' then null else  end_time::text  end  end_time 
	, case when trim(both from evaluation)='' then null else  evaluation::text  end  evaluation 
	, case when trim(both from first_call_cname)='' then null else  first_call_cname::text  end  first_call_cname 
	, case when trim(both from first_call_cno)='' then null else  first_call_cno::text  end  first_call_cno 
	, case when trim(both from first_call_number)='' then null else  first_call_number::text  end  first_call_number 
	, case when trim(both from first_call_qname)='' then null else  first_call_qname::text  end  first_call_qname 
	, case when trim(both from first_call_qno)='' then null else  first_call_qno::text  end  first_call_qno 
	, case when trim(both from first_join_queue_time)='' then null else  first_join_queue_time::text  end  first_join_queue_time 
	, case when trim(both from hotline)='' then null else  hotline::text  end  hotline 
	, case when trim(both from hotline_name)='' then null else  hotline_name::text  end  hotline_name 
	, case when trim(both from investigation_keys)='' then null else  investigation_keys::text  end  investigation_keys 
	, case when trim(both from ivr_name)='' then null else  ivr_name::text  end  ivr_name 
	, case when trim(both from main_unique_id)='' then null else  main_unique_id::text  end  main_unique_id 
	, case when trim(both from on_hook_source)='' then null else  on_hook_source::text  end  on_hook_source 
	, case when trim(both from record_file)='' then null else  record_file::text  end  record_file 
	, case when trim(both from say_voice_duration)='' then null else  say_voice_duration::text  end  say_voice_duration 
	, case when trim(both from start_time)='' then null else  start_time::text  end  start_time 
	, case when trim(both from status)='' then null else  status::text  end  status 
	, case when trim(both from status_result)='' then null else  status_result::text  end  status_result 
	, case when trim(both from status_robot)='' then null else  status_robot::text  end  status_robot 
	, case when trim(both from tag_names)='' then null else  tag_names::text  end  tag_names 
	, case when trim(both from total_duration)='' then null else  total_duration::text  end  total_duration 
	, case when trim(both from user_field)='' then null else  user_field::text  end  user_field 
	, case when trim(both from webrtc_call_id)='' then null else  webrtc_call_id::text  end  webrtc_call_id 
	, case when trim(both from xnumber)='' then null else  xnumber::text  end  xnumber 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'agentAnswerInTime')  agent_answer_in_time 
	, (json_array_elements(data::json)::json->>'bridgeDuration')  bridge_duration 
	, (json_array_elements(data::json)::json->>'bridgeTime')  bridge_time 
	, (json_array_elements(data::json)::json->>'callId')  call_id 
	, (json_array_elements(data::json)::json->>'customerCity')  customer_city 
	, (json_array_elements(data::json)::json->>'customerNumber')  customer_number 
	, (json_array_elements(data::json)::json->>'customerNumberEncrypt')  customer_number_encrypt 
	, (json_array_elements(data::json)::json->>'customerProvince')  customer_province 
	, (json_array_elements(data::json)::json->>'endTime')  end_time 
	, (json_array_elements(data::json)::json->>'evaluation')  evaluation 
	, (json_array_elements(data::json)::json->>'firstCallCname')  first_call_cname 
	, (json_array_elements(data::json)::json->>'firstCallCno')  first_call_cno 
	, (json_array_elements(data::json)::json->>'firstCallNumber')  first_call_number 
	, (json_array_elements(data::json)::json->>'firstCallQname')  first_call_qname 
	, (json_array_elements(data::json)::json->>'firstCallQno')  first_call_qno 
	, (json_array_elements(data::json)::json->>'firstJoinQueueTime')  first_join_queue_time 
	, (json_array_elements(data::json)::json->>'hotline')  hotline 
	, (json_array_elements(data::json)::json->>'hotlineName')  hotline_name 
	, (json_array_elements(data::json)::json->>'investigationKeys')  investigation_keys 
	, (json_array_elements(data::json)::json->>'ivrName')  ivr_name 
	, (json_array_elements(data::json)::json->>'mainUniqueId')  main_unique_id 
	, (json_array_elements(data::json)::json->>'onHookSource')  on_hook_source 
	, (json_array_elements(data::json)::json->>'recordFile')  record_file 
	, (json_array_elements(data::json)::json->>'sayVoiceDuration')  say_voice_duration 
	, (json_array_elements(data::json)::json->>'startTime')  start_time 
	, (json_array_elements(data::json)::json->>'status')  status 
	, (json_array_elements(data::json)::json->>'statusResult')  status_result 
	, (json_array_elements(data::json)::json->>'statusRobot')  status_robot 
	, (json_array_elements(data::json)::json->>'tagNames')  tag_names 
	, (json_array_elements(data::json)::json->>'totalDuration')  total_duration 
	, (json_array_elements(data::json)::json->>'userField')  user_field 
	, (json_array_elements(data::json)::json->>'webrtcCallId')  webrtc_call_id 
	, (json_array_elements(data::json)::json->>'xnumber')  xnumber 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='0be1a203e6e24db88008c5445283cda0' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='0be1a203e6e24db88008c5445283cda0';
\q