/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_cc_cdr_ib_agent_list;

insert into  data_api.tr_cc_cdr_ib_agent_list ( 
	 unique_id 
	, main_unique_id 
	, qno 
	, qname 
	, cno 
	, client_name 
	, client_number 
	, bridge_status 
	, bridge_status_detail 
	, sip_cause_desc 
	, on_hook_source 
	, agent_answer_in_time 
	, detail_call_type 
	, call_id 
	, webrtc_call_id 
	, record_file 
	, start_time 
	, ring_time 
	, ib_ringing_duration 
	, answer_time 
	, offhook_time 
	, say_voice_duration 
	, end_time 
	, bridge_duration 
	, customer_number 
	, customer_number_encrypt 
	, customer_province 
	, customer_city 
	, hotline 
	, hotline_name 
	, remember 
	,etl_tx_dt
)
select 
	 case when trim(both from unique_id)='' then null else  unique_id::text  end  unique_id 
	, case when trim(both from main_unique_id)='' then null else  main_unique_id::text  end  main_unique_id 
	, case when trim(both from qno)='' then null else  qno::text  end  qno 
	, case when trim(both from qname)='' then null else  qname::text  end  qname 
	, case when trim(both from cno)='' then null else  cno::text  end  cno 
	, case when trim(both from client_name)='' then null else  client_name::text  end  client_name 
	, case when trim(both from client_number)='' then null else  client_number::text  end  client_number 
	, case when trim(both from bridge_status)='' then null else  bridge_status::text  end  bridge_status 
	, case when trim(both from bridge_status_detail)='' then null else  bridge_status_detail::text  end  bridge_status_detail 
	, case when trim(both from sip_cause_desc)='' then null else  sip_cause_desc::text  end  sip_cause_desc 
	, case when trim(both from on_hook_source)='' then null else  on_hook_source::text  end  on_hook_source 
	, case when trim(both from agent_answer_in_time)='' then null else  agent_answer_in_time::text  end  agent_answer_in_time 
	, case when trim(both from detail_call_type)='' then null else  detail_call_type::text  end  detail_call_type 
	, case when trim(both from call_id)='' then null else  call_id::text  end  call_id 
	, case when trim(both from webrtc_call_id)='' then null else  webrtc_call_id::text  end  webrtc_call_id 
	, case when trim(both from record_file)='' then null else  record_file::text  end  record_file 
	, case when trim(both from start_time)='' then null else  start_time::text  end  start_time 
	, case when trim(both from ring_time)='' then null else  ring_time::text  end  ring_time 
	, case when trim(both from ib_ringing_duration)='' then null else  ib_ringing_duration::text  end  ib_ringing_duration 
	, case when trim(both from answer_time)='' then null else  answer_time::text  end  answer_time 
	, case when trim(both from offhook_time)='' then null else  offhook_time::text  end  offhook_time 
	, case when trim(both from say_voice_duration)='' then null else  say_voice_duration::text  end  say_voice_duration 
	, case when trim(both from end_time)='' then null else  end_time::text  end  end_time 
	, case when trim(both from bridge_duration)='' then null else  bridge_duration::text  end  bridge_duration 
	, case when trim(both from customer_number)='' then null else  customer_number::text  end  customer_number 
	, case when trim(both from customer_number_encrypt)='' then null else  customer_number_encrypt::text  end  customer_number_encrypt 
	, case when trim(both from customer_province)='' then null else  customer_province::text  end  customer_province 
	, case when trim(both from customer_city)='' then null else  customer_city::text  end  customer_city 
	, case when trim(both from hotline)='' then null else  hotline::text  end  hotline 
	, case when trim(both from hotline_name)='' then null else  hotline_name::text  end  hotline_name 
	, case when trim(both from remember)='' then null else  remember::text  end  remember 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'uniqueId')  unique_id 
	, (json_array_elements(data::json)::json->>'mainUniqueId')  main_unique_id 
	, (json_array_elements(data::json)::json->>'qno')  qno 
	, (json_array_elements(data::json)::json->>'qname')  qname 
	, (json_array_elements(data::json)::json->>'cno')  cno 
	, (json_array_elements(data::json)::json->>'clientName')  client_name 
	, (json_array_elements(data::json)::json->>'clientNumber')  client_number 
	, (json_array_elements(data::json)::json->>'bridgeStatus')  bridge_status 
	, (json_array_elements(data::json)::json->>'bridgeStatusDetail')  bridge_status_detail 
	, (json_array_elements(data::json)::json->>'sipCauseDesc')  sip_cause_desc 
	, (json_array_elements(data::json)::json->>'onHookSource')  on_hook_source 
	, (json_array_elements(data::json)::json->>'agentAnswerInTime')  agent_answer_in_time 
	, (json_array_elements(data::json)::json->>'detailCallType')  detail_call_type 
	, (json_array_elements(data::json)::json->>'callId')  call_id 
	, (json_array_elements(data::json)::json->>'webrtcCallId')  webrtc_call_id 
	, (json_array_elements(data::json)::json->>'recordFile')  record_file 
	, (json_array_elements(data::json)::json->>'startTime')  start_time 
	, (json_array_elements(data::json)::json->>'ringTime')  ring_time 
	, (json_array_elements(data::json)::json->>'ibRingingDuration')  ib_ringing_duration 
	, (json_array_elements(data::json)::json->>'answerTime')  answer_time 
	, (json_array_elements(data::json)::json->>'offhookTime')  offhook_time 
	, (json_array_elements(data::json)::json->>'sayVoiceDuration')  say_voice_duration 
	, (json_array_elements(data::json)::json->>'endTime')  end_time 
	, (json_array_elements(data::json)::json->>'bridgeDuration')  bridge_duration 
	, (json_array_elements(data::json)::json->>'customerNumber')  customer_number 
	, (json_array_elements(data::json)::json->>'customerNumberEncrypt')  customer_number_encrypt 
	, (json_array_elements(data::json)::json->>'customerProvince')  customer_province 
	, (json_array_elements(data::json)::json->>'customerCity')  customer_city 
	, (json_array_elements(data::json)::json->>'hotline')  hotline 
	, (json_array_elements(data::json)::json->>'hotlineName')  hotline_name 
	, (json_array_elements(data::json)::json->>'remember')  remember 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='dd40ad726391416284f2b05254fed7fa' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='dd40ad726391416284f2b05254fed7fa';
\q