
create table if not exists p10_sa.S98_S_tr_chat_messages (
	 unique_id  TEXT 
	, main_unique_id  TEXT 
	, sender_id  TEXT 
	, sender_name  TEXT 
	, sender_type  TEXT 
	, message_type  TEXT 
	, content  TEXT 
	, file_key  TEXT 
	, file_name  TEXT 
	, file_url  TEXT 
	, send_status  TEXT 
	, sensitive_word  TEXT 
	, create_time  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.unique_id IS ' 消息唯一标识'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.main_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.sender_id IS '消息发送方ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.sender_name IS '消息发送方名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.sender_type IS '消息发送方类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.message_type IS '消息类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.content IS '消息内容'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.file_key IS '文件的地址'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.file_name IS '文件名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.file_url IS '文件访问路径'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.send_status IS '消息发送状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.sensitive_word IS '消息内容包含敏感词'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.create_time IS '消息创建时间戳'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_messages.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_chat_messages IS '会话消息详情';



create table if not exists p12_sfull.S98_S_tr_chat_messages (
	 unique_id  TEXT 
	, main_unique_id  TEXT 
	, sender_id  TEXT 
	, sender_name  TEXT 
	, sender_type  TEXT 
	, message_type  TEXT 
	, content  TEXT 
	, file_key  TEXT 
	, file_name  TEXT 
	, file_url  TEXT 
	, send_status  TEXT 
	, sensitive_word  TEXT 
	, create_time  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.unique_id IS ' 消息唯一标识'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.main_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.sender_id IS '消息发送方ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.sender_name IS '消息发送方名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.sender_type IS '消息发送方类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.message_type IS '消息类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.content IS '消息内容'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.file_key IS '文件的地址'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.file_name IS '文件名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.file_url IS '文件访问路径'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.send_status IS '消息发送状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.sensitive_word IS '消息内容包含敏感词'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.create_time IS '消息创建时间戳'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_messages.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_chat_messages IS '会话消息详情';

