/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on

drop table if exists ccc_scrm_cust_label_info_t1;
create temporary table ccc_scrm_cust_label_info_t1
as
select p1.cust_id 
,p1.cust_external_id
,p2.leads_id scrm_leads_id
,p1.cust_label_id 
,p1.cust_label_name
,p3.scrm_label_id scrm_label_id
,'0' as sync_ind
,0                                                         Etl_Batch_No
,current_date                               Etl_First_Dt
,'ccc_scrm_cust_label_info'                                                   Etl_Job
,current_timestamp(0)                                      Etl_Proc_Dt
,current_date                               Etl_Tx_Dt
,Substr('com',1,3)                           Src_Sysname
,'ccc_scrm_cust_label_info'                                       Src_Table
from p30_common.cust_label_rela p1
left join p61_output.scrm_leads_external_id_mapping p2
on p1.cust_external_id =p2.external_id 
left join p20_pdm.t01_scrm_label p3
on p1.cust_label_name =p3.scrm_label_name  ;

insert into p61_output.ccc_scrm_cust_label_info
(cust_id, cust_external_id, scrm_leads_id, cust_label_id, cust_label_name, scrm_label_id, sync_ind, etl_batch_no, etl_first_dt, etl_job, etl_proc_dt, etl_tx_dt, src_sysname, src_table)
select p1.cust_id, p1.cust_external_id, p1.scrm_leads_id
, p1.cust_label_id, p1.cust_label_name, p1.scrm_label_id
, p1.sync_ind, p1.etl_batch_no, p1.etl_first_dt, p1.etl_job
, p1.etl_proc_dt, p1.etl_tx_dt, p1.src_sysname, p1.src_table
from ccc_scrm_cust_label_info_t1 p1
left join p61_output.ccc_scrm_cust_label_info p2
on p1.cust_id = p2.cust_id 
and p1.cust_label_id=p2.cust_label_id 
where p2.cust_id is null
;

\q