
DROP TABLE IF EXISTS p20_pdm.t01_scrm_label;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_scrm_label (
	 scrm_label_id  varchar(50) 
	, scrm_label_name  varchar(50) 
	, scrm_label_group  varchar(10) 
	, scrm_label_type  varchar(20) 
	, created_tm  timestamp(0) 
	, updated_tm  timestamp(0) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( scrm_label_id )
);

 COMMENT ON COLUMN p20_pdm.t01_scrm_label.scrm_label_id IS '标签对应Id'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.scrm_label_name IS '标签名'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.scrm_label_group IS '标签分组名'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.scrm_label_type IS '标签类型'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.created_tm IS '创建时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.updated_tm IS '上次更新时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_label.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_scrm_label IS 'SCRM标签信息';