
DROP TABLE IF EXISTS p20_pdm.t01_ccc_cust_label;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_ccc_cust_label (
	 label_id  varchar(10) 
	, label_name  varchar(50) 
	, label_group  varchar(10) 
	, label_type  varchar(10) 
	, label_color  varchar(10) 
	, label_source  varchar(10) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	, Etl_Job  varchar(200) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Batch_No  varchar(50) 
	,primary key( label_id )
);

 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.label_id IS '标签编号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.label_name IS '标签名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.label_group IS '标签组'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.label_type IS '标签类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.label_color IS '标签颜色'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.label_source IS '标签来源'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.Src_Table IS '来源表'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_label.Etl_Batch_No IS '作业批次号'; 

COMMENT ON TABLE p20_pdm.t01_ccc_cust_label IS 'smartccc客户标签维度';