/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_custom_labels;

insert into  data_api.tr_custom_labels ( 
	 label_group_name 
	, customer_label_list 
	,etl_tx_dt
)
select 
	 case when trim(both from label_group_name)='' then null else  label_group_name::text  end  label_group_name 
	, case when trim(both from customer_label_list)='' then null else  customer_label_list::text  end  customer_label_list 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'labelGroupName')  label_group_name 
	, (json_array_elements(data::json)::json->>'customerLabelList')  customer_label_list 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='02d5a32d8736457fa51d668652cc50af' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='02d5a32d8736457fa51d668652cc50af';
\q