/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons1_1'
AND CHECK_TYPE_CD = 'Cons1'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons1_1' AS Check_Id
,'Cons1' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,1 AS Src_Table_Total_Rec
,row_to_json(p1)
,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and mobile_phone_availability = '1';

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons1_2'
AND CHECK_TYPE_CD = 'Cons1'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons1_2' AS Check_Id
,'Cons1' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and email_availability = '1';

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons1_3'
AND CHECK_TYPE_CD = 'Cons1'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons1_3' AS Check_Id
,'Cons1' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and ((full_name ~ '^[\u4e00-\u9fa5]{1}\.[\u4e00-\u9fa5]{1,2}$')
    OR
    (full_name ~ '^[\u4e00-\u9fa5]{2,4}\.$'));

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons1_4'
AND CHECK_TYPE_CD = 'Cons1'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons1_4' AS Check_Id
,'Cons1' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and (company ~ '^[\u4e00-\u9fa5]+公司$' 
    OR company ~ '^[\u4e00-\u9fa5]+集团$' 
    OR company ~ '^[\u4e00-\u9fa5]+大学$') AND LENGTH(company) >= 4;


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Integ10_1'
AND CHECK_TYPE_CD = 'Integ10'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Integ10_1' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and (mobile = ''
or mobile is NULL);

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Integ10_2'
AND CHECK_TYPE_CD = 'Integ10'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Integ10_2' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and (email  = ''
or email  is NULL);


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Integ10_3'
AND CHECK_TYPE_CD = 'Integ10'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Integ10_3' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and (full_name  = ''
or full_name  is NULL
or full_name = '0');


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Integ10_4'
AND CHECK_TYPE_CD = 'Integ10'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Integ10_4' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and (company  = ''
or company  is NULL);


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Integ10_5'
AND CHECK_TYPE_CD = 'Integ10'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Integ10_5' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and (prov_name  = ''
or prov_name  is NULL);


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Integ10_6'
AND CHECK_TYPE_CD = 'Integ10'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Integ10_6' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and (city_name   = ''
or city_name  is NULL);


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Integ10_7'
AND CHECK_TYPE_CD = 'Integ10'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Integ10_7' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y'
and (industry   = ''
or industry  is NULL);


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_1'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_1' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y' and contact_channel like  'CRM%'
and (company <> ''
and account <> ''
AND company = account);

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_2'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_2' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
WHERE active_ind = '3Y' and contact_channel like  'CRM%'
and (company <> account);

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_5'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_5' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1 
 left join (
    SELECT 
            P1.crm_contact_account, 
            P1.company_name AS crm_company, 
            P1.account_name AS crm_account, 
            P1.contact_id AS CRM_CONTACT_ID, 
            P2.scrm_leads_id, 
            P2.company_name AS scrm_company, 
            P2.contact_id AS SCRM_CONTACT_ID 
        FROM (
            SELECT 
                P1.crm_contact_account, 
                P1.company_name, 
                P1.account_name, 
                P2.contact_id
            FROM 
                p30_common.d_crm_contact P1 
            LEFT JOIN 
                p30_common.v_cust_contact_mapping P2 
            ON 
                P1.crm_contact_account = P2.contact
        ) AS P1
        LEFT JOIN (
            SELECT 
                P1.scrm_leads_id, 
                P1.company_name, 
                P2.contact_id
            FROM 
                p30_common.d_scrm_contact P1 
            LEFT JOIN 
                p30_common.v_cust_contact_mapping P2 
            ON 
                P1.scrm_leads_id = P2.contact
        ) AS P2
        ON 
            P1.contact_id = P2.contact_id
        WHERE 
            P1.company_name = P2.company_name
        AND 
            P1.account_name = P2.company_name
				and P1.company_name <> ''
				and P1.account_name <> ''
				and P2.company_name <> ''
 ) p2
 on p1.contact_id=p2.crm_contact_id
WHERE p1.active_ind = '3Y'
and (p2.crm_contact_id is not null) ;


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_6'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
       CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_6' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,row_to_json(p1)

,'' AS Remark
 FROM p60_mart.v_cust_all_info p1 
 left join (
    SELECT 
            P1.crm_contact_account, 
            P1.company_name AS crm_company, 
            P1.account_name AS crm_account, 
            P1.contact_id AS CRM_CONTACT_ID, 
            P2.scrm_leads_id, 
            P2.company_name AS scrm_company, 
            P2.contact_id AS SCRM_CONTACT_ID 
        FROM (
            SELECT 
                P1.crm_contact_account, 
                P1.company_name, 
                P1.account_name, 
                P2.contact_id
            FROM 
                p30_common.d_crm_contact P1 
            LEFT JOIN 
                p30_common.v_cust_contact_mapping P2 
            ON 
                P1.crm_contact_account = P2.contact
        ) AS P1
        LEFT JOIN (
            SELECT 
                P1.scrm_leads_id, 
                P1.company_name, 
                P2.contact_id
            FROM 
                p30_common.d_scrm_contact P1 
            LEFT JOIN 
                p30_common.v_cust_contact_mapping P2 
            ON 
                P1.scrm_leads_id = P2.contact
        ) AS P2
        ON 
            P1.contact_id = P2.contact_id
        WHERE 
            P1.company_name <> P2.company_name
        AND 
            P1.account_name <> P2.company_name
 ) p2
 on p1.contact_id=p2.crm_contact_id
WHERE p1.active_ind = '3Y' 
and (p2.crm_contact_id is not null);

\q