
DROP TABLE IF EXISTS p30_common.cust_leads_detail;
CREATE TABLE IF NOT EXISTS p30_common.cust_leads_detail (
	 contact_channel  varchar(50) 
	, contact_account  varchar(50) 
	, label  varchar(50) 
	, event  varchar(100) 
	, active_time  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	, Etl_Job  varchar(200) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Batch_No  varchar(50) 
	,primary key( contact_channel,contact_account,label,active_time )
);

 COMMENT ON COLUMN p30_common.cust_leads_detail.contact_channel IS '线索渠道'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.contact_account IS '线索编号'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.label IS '标签'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.event IS '事件'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.active_time IS '活跃时间'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.Src_Table IS '来源表'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p30_common.cust_leads_detail.Etl_Batch_No IS '作业批次号'; 

COMMENT ON TABLE p30_common.cust_leads_detail IS '客户线索明细';