
DROP TABLE IF EXISTS p60_mart.cust_all_info;
CREATE TABLE IF NOT EXISTS p60_mart.cust_all_info (
	 contact_id  text 
	, contact  text 
	, contact_channel  text 
	, full_name  text 
	, mobile  VARCHAR(0) 
	, email  VARCHAR(0) 
	, wechat  VARCHAR(0) 
	, company  VARCHAR(0) 
	, account  text 
	, country  VARCHAR(0) 
	, prov_name  VARCHAR(0) 
	, city_name  VARCHAR(0) 
	, industry  VARCHAR(50) 
	, ccp_value  VARCHAR(0) 
	, mobile_phone_date_ind  text 
	, mobile_phone_availability  text 
	, email_data_ind  text 
	, email_availability  text 
	, crm_active_time  timestamp(0) 
	, scrm_active_time  timestamp(0) 
	, livechat_active_time  timestamp(0) 
	, last_activate_time  timestamp(0) 
	
);

 COMMENT ON COLUMN p60_mart.cust_all_info.contact_id IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.contact IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.contact_channel IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.full_name IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.mobile IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.email IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.wechat IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.company IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.account IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.country IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.prov_name IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.city_name IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.industry IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.ccp_value IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.mobile_phone_date_ind IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.mobile_phone_availability IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.email_data_ind IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.email_availability IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.crm_active_time IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.scrm_active_time IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.livechat_active_time IS ''; 
 COMMENT ON COLUMN p60_mart.cust_all_info.last_activate_time IS ''; 

COMMENT ON TABLE p60_mart.cust_all_info IS '';