
create table if not exists p10_sa.S98_S_tr_ticket_list (
	 id  TEXT 
	, workflow_id  TEXT 
	, workflow_name  TEXT 
	, type  TEXT 
	, topic  TEXT 
	, level  TEXT 
	, status  TEXT 
	, creator_name  TEXT 
	, creator_id  TEXT 
	, creator_type  TEXT 
	, modifier_id  TEXT 
	, modifier_type  TEXT 
	, source  TEXT 
	, timeout  TEXT 
	, end_time  TEXT 
	, create_time  TEXT 
	, close_time  TEXT 
	, state_selected  TEXT 
	, last_reminder_time  TEXT 
	, reminder_count  TEXT 
	, customer_id  TEXT 
	, customer_name  TEXT 
	, customer_tel  TEXT 
	, customer_email  TEXT 
	, customer_address  TEXT 
	, customer_creator_id  TEXT 
	, customer_creator_name  TEXT 
	, customer_modifier_id  TEXT 
	, customer_modifier_name  TEXT 
	, tags  TEXT 
	, system_form  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.id IS '工单 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.workflow_id IS '模板 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.workflow_name IS '模板名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.type IS '工单类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.topic IS '工单主题'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.level IS '工单优先级'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.status IS '工单状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.creator_name IS '创建人名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.creator_id IS '创建人 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.creator_type IS ''; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.modifier_id IS '修改人 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.modifier_type IS ''; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.source IS '来源'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.timeout IS '是否超时'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.end_time IS '结束时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.create_time IS '创建时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.close_time IS '关闭时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.state_selected IS '当前工单状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.last_reminder_time IS '最近催单时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.reminder_count IS '催单次数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_id IS '客户 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_name IS '客户名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_tel IS '客户号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_email IS '客户邮箱'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_address IS '客户地址'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_creator_id IS '客户资料创建人 ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_creator_name IS '客户资料创建人名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_modifier_id IS '客户资料修改人'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.customer_modifier_name IS '客户资料修改人姓名'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.tags IS '工单标签'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.system_form IS '工单属性表单'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_ticket_list.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_ticket_list IS '工单记录列表';



create table if not exists p12_sfull.S98_S_tr_ticket_list (
	 id  TEXT 
	, workflow_id  TEXT 
	, workflow_name  TEXT 
	, type  TEXT 
	, topic  TEXT 
	, level  TEXT 
	, status  TEXT 
	, creator_name  TEXT 
	, creator_id  TEXT 
	, creator_type  TEXT 
	, modifier_id  TEXT 
	, modifier_type  TEXT 
	, source  TEXT 
	, timeout  TEXT 
	, end_time  TEXT 
	, create_time  TEXT 
	, close_time  TEXT 
	, state_selected  TEXT 
	, last_reminder_time  TEXT 
	, reminder_count  TEXT 
	, customer_id  TEXT 
	, customer_name  TEXT 
	, customer_tel  TEXT 
	, customer_email  TEXT 
	, customer_address  TEXT 
	, customer_creator_id  TEXT 
	, customer_creator_name  TEXT 
	, customer_modifier_id  TEXT 
	, customer_modifier_name  TEXT 
	, tags  TEXT 
	, system_form  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.id IS '工单 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.workflow_id IS '模板 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.workflow_name IS '模板名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.type IS '工单类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.topic IS '工单主题'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.level IS '工单优先级'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.status IS '工单状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.creator_name IS '创建人名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.creator_id IS '创建人 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.creator_type IS ''; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.modifier_id IS '修改人 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.modifier_type IS ''; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.source IS '来源'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.timeout IS '是否超时'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.end_time IS '结束时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.create_time IS '创建时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.close_time IS '关闭时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.state_selected IS '当前工单状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.last_reminder_time IS '最近催单时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.reminder_count IS '催单次数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_id IS '客户 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_name IS '客户名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_tel IS '客户号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_email IS '客户邮箱'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_address IS '客户地址'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_creator_id IS '客户资料创建人 ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_creator_name IS '客户资料创建人名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_modifier_id IS '客户资料修改人'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.customer_modifier_name IS '客户资料修改人姓名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.tags IS '工单标签'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.system_form IS '工单属性表单'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_ticket_list.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_ticket_list IS '工单记录列表';

