/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_ticket_detail;

insert into  data_api.tr_ticket_detail ( 
	 id 
	, workflow_id 
	, workflow_name 
	, workflow_category_id 
	, workflow_category_name 
	, topic 
	, level 
	, status 
	, state 
	, type 
	, creator_type 
	, creator_id 
	, creator_name 
	, modifier_type 
	, modifier_id 
	, modifier_name 
	, focus 
	, state_selected 
	, source 
	, end_time 
	, create_time 
	, update_time 
	, customer_id 
	, customer_name 
	, customer_tel 
	, tags 
	, comments 
	, start_form 
	, operation_logs 
	, operation_logs_new 
	, call_id 
	, close_time 
	, forms 
	, system_form 
	,etl_tx_dt
)
select 
	 case when trim(both from id)='' then null else  id::text  end  id 
	, case when trim(both from workflow_id)='' then null else  workflow_id::text  end  workflow_id 
	, case when trim(both from workflow_name)='' then null else  workflow_name::text  end  workflow_name 
	, case when trim(both from workflow_category_id)='' then null else  workflow_category_id::text  end  workflow_category_id 
	, case when trim(both from workflow_category_name)='' then null else  workflow_category_name::text  end  workflow_category_name 
	, case when trim(both from topic)='' then null else  topic::text  end  topic 
	, case when trim(both from level)='' then null else  level::text  end  level 
	, case when trim(both from status)='' then null else  status::text  end  status 
	, case when trim(both from state)='' then null else  state::text  end  state 
	, case when trim(both from type)='' then null else  type::text  end  type 
	, case when trim(both from creator_type)='' then null else  creator_type::text  end  creator_type 
	, case when trim(both from creator_id)='' then null else  creator_id::text  end  creator_id 
	, case when trim(both from creator_name)='' then null else  creator_name::text  end  creator_name 
	, case when trim(both from modifier_type)='' then null else  modifier_type::text  end  modifier_type 
	, case when trim(both from modifier_id)='' then null else  modifier_id::text  end  modifier_id 
	, case when trim(both from modifier_name)='' then null else  modifier_name::text  end  modifier_name 
	, case when trim(both from focus)='' then null else  focus::text  end  focus 
	, case when trim(both from state_selected)='' then null else  state_selected::text  end  state_selected 
	, case when trim(both from source)='' then null else  source::text  end  source 
	, case when trim(both from end_time)='' then null else  end_time::text  end  end_time 
	, case when trim(both from create_time)='' then null else  create_time::text  end  create_time 
	, case when trim(both from update_time)='' then null else  update_time::text  end  update_time 
	, case when trim(both from customer_id)='' then null else  customer_id::text  end  customer_id 
	, case when trim(both from customer_name)='' then null else  customer_name::text  end  customer_name 
	, case when trim(both from customer_tel)='' then null else  customer_tel::text  end  customer_tel 
	, case when trim(both from tags)='' then null else  tags::text  end  tags 
	, case when trim(both from comments)='' then null else  comments::text  end  comments 
	, case when trim(both from start_form)='' then null else  start_form::text  end  start_form 
	, case when trim(both from operation_logs)='' then null else  operation_logs::text  end  operation_logs 
	, case when trim(both from operation_logs_new)='' then null else  operation_logs_new::text  end  operation_logs_new 
	, case when trim(both from call_id)='' then null else  call_id::text  end  call_id 
	, case when trim(both from close_time)='' then null else  close_time::text  end  close_time 
	, case when trim(both from forms)='' then null else  forms::text  end  forms 
	, case when trim(both from system_form)='' then null else  system_form::text  end  system_form 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'id')  id 
	, (json_array_elements(data::json)::json->>'workflowId')  workflow_id 
	, (json_array_elements(data::json)::json->>'workflowName')  workflow_name 
	, (json_array_elements(data::json)::json->>'workflowCategoryId')  workflow_category_id 
	, (json_array_elements(data::json)::json->>'workflowCategoryName')  workflow_category_name 
	, (json_array_elements(data::json)::json->>'topic')  topic 
	, (json_array_elements(data::json)::json->>'level')  level 
	, (json_array_elements(data::json)::json->>'status')  status 
	, (json_array_elements(data::json)::json->>'state')  state 
	, (json_array_elements(data::json)::json->>'type')  type 
	, (json_array_elements(data::json)::json->>'creatorType')  creator_type 
	, (json_array_elements(data::json)::json->>'creatorId')  creator_id 
	, (json_array_elements(data::json)::json->>'creatorName')  creator_name 
	, (json_array_elements(data::json)::json->>'modifierType')  modifier_type 
	, (json_array_elements(data::json)::json->>'modifierId')  modifier_id 
	, (json_array_elements(data::json)::json->>'modifierName')  modifier_name 
	, (json_array_elements(data::json)::json->>'focus')  focus 
	, (json_array_elements(data::json)::json->>'stateSelected')  state_selected 
	, (json_array_elements(data::json)::json->>'source')  source 
	, (json_array_elements(data::json)::json->>'endTime')  end_time 
	, (json_array_elements(data::json)::json->>'createTime')  create_time 
	, (json_array_elements(data::json)::json->>'updateTime')  update_time 
	, (json_array_elements(data::json)::json->>'customerId')  customer_id 
	, (json_array_elements(data::json)::json->>'customerName')  customer_name 
	, (json_array_elements(data::json)::json->>'customerTel')  customer_tel 
	, (json_array_elements(data::json)::json->>'tags')  tags 
	, (json_array_elements(data::json)::json->>'comments')  comments 
	, (json_array_elements(data::json)::json->>'startForm')  start_form 
	, (json_array_elements(data::json)::json->>'operationLogs')  operation_logs 
	, (json_array_elements(data::json)::json->>'operationLogsNew')  operation_logs_new 
	, (json_array_elements(data::json)::json->>'callId')  call_id 
	, (json_array_elements(data::json)::json->>'closeTime')  close_time 
	, (json_array_elements(data::json)::json->>'forms')  forms 
	, (json_array_elements(data::json)::json->>'systemForm')  system_form 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='6a977523d60f46788e6004549027bb8e' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='6a977523d60f46788e6004549027bb8e';
\q