
create table if not exists p10_sa.S98_S_tr_cc_cdr_ob_detail (
	 cno  TEXT 
	, client_name  TEXT 
	, client_number  TEXT 
	, start_time  TEXT 
	, callee_ringing_time  TEXT 
	, answer_time  TEXT 
	, end_time  TEXT 
	, bridge_duration  TEXT 
	, call_type  TEXT 
	, call_type_desc  TEXT 
	, detail_call_type  TEXT 
	, detail_call_type_desc  TEXT 
	, ob_sip_cause  TEXT 
	, sip_cause  TEXT 
	, sip_cause_desc  TEXT 
	, record_file  TEXT 
	, tsi_file  TEXT 
	, call_id  TEXT 
	, webrtc_call_id  TEXT 
	, main_unique_id  TEXT 
	, unique_id  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.cno IS '座席工号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.client_name IS '座席名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.client_number IS '座席电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.start_time IS '开始时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.callee_ringing_time IS '客户响铃时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.answer_time IS '客户接听时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.end_time IS '结束时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.call_type IS '通话类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.call_type_desc IS '通话类型描述'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.detail_call_type IS '呼叫类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.detail_call_type_desc IS '呼叫类型描述'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.ob_sip_cause IS '呼叫结果'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.sip_cause IS '呼叫情况'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.sip_cause_desc IS '呼叫情况描述'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.record_file IS '录音'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.tsi_file IS '客户彩铃录音'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.call_id IS 'CallID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.main_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.unique_id IS '通话唯一ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_detail.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_cc_cdr_ob_detail IS '外呼记录详情';



create table if not exists p12_sfull.S98_S_tr_cc_cdr_ob_detail (
	 cno  TEXT 
	, client_name  TEXT 
	, client_number  TEXT 
	, start_time  TEXT 
	, callee_ringing_time  TEXT 
	, answer_time  TEXT 
	, end_time  TEXT 
	, bridge_duration  TEXT 
	, call_type  TEXT 
	, call_type_desc  TEXT 
	, detail_call_type  TEXT 
	, detail_call_type_desc  TEXT 
	, ob_sip_cause  TEXT 
	, sip_cause  TEXT 
	, sip_cause_desc  TEXT 
	, record_file  TEXT 
	, tsi_file  TEXT 
	, call_id  TEXT 
	, webrtc_call_id  TEXT 
	, main_unique_id  TEXT 
	, unique_id  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.cno IS '座席工号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.client_name IS '座席名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.client_number IS '座席电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.start_time IS '开始时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.callee_ringing_time IS '客户响铃时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.answer_time IS '客户接听时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.end_time IS '结束时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.call_type IS '通话类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.call_type_desc IS '通话类型描述'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.detail_call_type IS '呼叫类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.detail_call_type_desc IS '呼叫类型描述'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.ob_sip_cause IS '呼叫结果'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.sip_cause IS '呼叫情况'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.sip_cause_desc IS '呼叫情况描述'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.record_file IS '录音'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.tsi_file IS '客户彩铃录音'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.call_id IS 'CallID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.main_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.unique_id IS '通话唯一ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_detail.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_cc_cdr_ob_detail IS '外呼记录详情';

