/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_chat_records;

insert into  data_api.tr_chat_records ( 
	 main_unique_id 
	, contact_type 
	, app_id 
	, app_name 
	, visitor_id 
	, visitor_name 
	, robot_id 
	, robot_name 
	, robot_start_time 
	, robot_end_time 
	, qno 
	, qname 
	, cno 
	, client_name 
	, chat_duration_type 
	, close_status 
	, close_reason 
	, open_type 
	, first_response_duration 
	, start_time 
	, end_time 
	, queue_time 
	, join_queue_time 
	, bridge_time 
	, session_type 
	, chat_valid_session 
	, comment_session 
	, invitation_initiator 
	, keys 
	, remark 
	, ip 
	, customer_region 
	, chat_times 
	, invited_times 
	, search_word 
	, operating_system 
	, browser 
	, referer_name 
	, referer_url 
	, first_visit_page_url 
	, initiation_page_url 
	, visit_tracks 
	, visitor_extra_info 
	, device_type 
	, app_type 
	, province 
	, city 
	, referrer_name 
	,etl_tx_dt
)
select 
	 case when trim(both from main_unique_id)='' then null else  main_unique_id::text  end  main_unique_id 
	, case when trim(both from contact_type)='' then null else  contact_type::text  end  contact_type 
	, case when trim(both from app_id)='' then null else  app_id::text  end  app_id 
	, case when trim(both from app_name)='' then null else  app_name::text  end  app_name 
	, case when trim(both from visitor_id)='' then null else  visitor_id::text  end  visitor_id 
	, case when trim(both from visitor_name)='' then null else  visitor_name::text  end  visitor_name 
	, case when trim(both from robot_id)='' then null else  robot_id::text  end  robot_id 
	, case when trim(both from robot_name)='' then null else  robot_name::text  end  robot_name 
	, case when trim(both from robot_start_time)='' then null else  robot_start_time::text  end  robot_start_time 
	, case when trim(both from robot_end_time)='' then null else  robot_end_time::text  end  robot_end_time 
	, case when trim(both from qno)='' then null else  qno::text  end  qno 
	, case when trim(both from qname)='' then null else  qname::text  end  qname 
	, case when trim(both from cno)='' then null else  cno::text  end  cno 
	, case when trim(both from client_name)='' then null else  client_name::text  end  client_name 
	, case when trim(both from chat_duration_type)='' then null else  chat_duration_type::text  end  chat_duration_type 
	, case when trim(both from close_status)='' then null else  close_status::text  end  close_status 
	, case when trim(both from close_reason)='' then null else  close_reason::text  end  close_reason 
	, case when trim(both from open_type)='' then null else  open_type::text  end  open_type 
	, case when trim(both from first_response_duration)='' then null else  first_response_duration::text  end  first_response_duration 
	, case when trim(both from start_time)='' then null else  start_time::text  end  start_time 
	, case when trim(both from end_time)='' then null else  end_time::text  end  end_time 
	, case when trim(both from queue_time)='' then null else  queue_time::text  end  queue_time 
	, case when trim(both from join_queue_time)='' then null else  join_queue_time::text  end  join_queue_time 
	, case when trim(both from bridge_time)='' then null else  bridge_time::text  end  bridge_time 
	, case when trim(both from session_type)='' then null else  session_type::text  end  session_type 
	, case when trim(both from chat_valid_session)='' then null else  chat_valid_session::text  end  chat_valid_session 
	, case when trim(both from comment_session)='' then null else  comment_session::text  end  comment_session 
	, case when trim(both from invitation_initiator)='' then null else  invitation_initiator::text  end  invitation_initiator 
	, case when trim(both from keys)='' then null else  keys::text  end  keys 
	, case when trim(both from remark)='' then null else  remark::text  end  remark 
	, case when trim(both from ip)='' then null else  ip::text  end  ip 
	, case when trim(both from customer_region)='' then null else  customer_region::text  end  customer_region 
	, case when trim(both from chat_times)='' then null else  chat_times::text  end  chat_times 
	, case when trim(both from invited_times)='' then null else  invited_times::text  end  invited_times 
	, case when trim(both from search_word)='' then null else  search_word::text  end  search_word 
	, case when trim(both from operating_system)='' then null else  operating_system::text  end  operating_system 
	, case when trim(both from browser)='' then null else  browser::text  end  browser 
	, case when trim(both from referer_name)='' then null else  referer_name::text  end  referer_name 
	, case when trim(both from referer_url)='' then null else  referer_url::text  end  referer_url 
	, case when trim(both from first_visit_page_url)='' then null else  first_visit_page_url::text  end  first_visit_page_url 
	, case when trim(both from initiation_page_url)='' then null else  initiation_page_url::text  end  initiation_page_url 
	, case when trim(both from visit_tracks)='' then null else  visit_tracks::text  end  visit_tracks 
	, case when trim(both from visitor_extra_info)='' then null else  visitor_extra_info::text  end  visitor_extra_info 
	, case when trim(both from device_type)='' then null else  device_type::text  end  device_type 
	, case when trim(both from app_type)='' then null else  app_type::text  end  app_type 
	, case when trim(both from province)='' then null else  province::text  end  province 
	, case when trim(both from city)='' then null else  city::text  end  city 
	, case when trim(both from referrer_name)='' then null else  referrer_name::text  end  referrer_name 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'mainUniqueId')  main_unique_id 
	, (json_array_elements(data::json)::json->>'contactType')  contact_type 
	, (json_array_elements(data::json)::json->>'appId')  app_id 
	, (json_array_elements(data::json)::json->>'appName')  app_name 
	, (json_array_elements(data::json)::json->>'visitorId')  visitor_id 
	, (json_array_elements(data::json)::json->>'visitorName')  visitor_name 
	, (json_array_elements(data::json)::json->>'robotId')  robot_id 
	, (json_array_elements(data::json)::json->>'robotName')  robot_name 
	, (json_array_elements(data::json)::json->>'robotStartTime')  robot_start_time 
	, (json_array_elements(data::json)::json->>'robotEndTime')  robot_end_time 
	, (json_array_elements(data::json)::json->>'qno')  qno 
	, (json_array_elements(data::json)::json->>'qname')  qname 
	, (json_array_elements(data::json)::json->>'cno')  cno 
	, (json_array_elements(data::json)::json->>'clientName')  client_name 
	, (json_array_elements(data::json)::json->>'chatDurationType')  chat_duration_type 
	, (json_array_elements(data::json)::json->>'closeStatus')  close_status 
	, (json_array_elements(data::json)::json->>'closeReason')  close_reason 
	, (json_array_elements(data::json)::json->>'openType')  open_type 
	, (json_array_elements(data::json)::json->>'firstResponseDuration')  first_response_duration 
	, (json_array_elements(data::json)::json->>'startTime')  start_time 
	, (json_array_elements(data::json)::json->>'endTime')  end_time 
	, (json_array_elements(data::json)::json->>'queueTime')  queue_time 
	, (json_array_elements(data::json)::json->>'joinQueueTime')  join_queue_time 
	, (json_array_elements(data::json)::json->>'bridgeTime')  bridge_time 
	, (json_array_elements(data::json)::json->>'sessionType')  session_type 
	, (json_array_elements(data::json)::json->>'chatValidSession')  chat_valid_session 
	, (json_array_elements(data::json)::json->>'commentSession')  comment_session 
	, (json_array_elements(data::json)::json->>'invitationInitiator')  invitation_initiator 
	, (json_array_elements(data::json)::json->>'keys')  keys 
	, (json_array_elements(data::json)::json->>'remark')  remark 
	, (json_array_elements(data::json)::json->>'ip')  ip 
	, (json_array_elements(data::json)::json->>'customerRegion')  customer_region 
	, (json_array_elements(data::json)::json->>'chatTimes')  chat_times 
	, (json_array_elements(data::json)::json->>'invitedTimes')  invited_times 
	, (json_array_elements(data::json)::json->>'searchWord')  search_word 
	, (json_array_elements(data::json)::json->>'operatingSystem')  operating_system 
	, (json_array_elements(data::json)::json->>'browser')  browser 
	, (json_array_elements(data::json)::json->>'refererName')  referer_name 
	, (json_array_elements(data::json)::json->>'refererUrl')  referer_url 
	, (json_array_elements(data::json)::json->>'firstVisitPageUrl')  first_visit_page_url 
	, (json_array_elements(data::json)::json->>'initiationPageUrl')  initiation_page_url 
	, (json_array_elements(data::json)::json->>'visitTracks')  visit_tracks 
	, (json_array_elements(data::json)::json->>'visitorExtraInfo')  visitor_extra_info 
	, (json_array_elements(data::json)::json->>'deviceType')  device_type 
	, (json_array_elements(data::json)::json->>'appType')  app_type 
	, (json_array_elements(data::json)::json->>'province')  province 
	, (json_array_elements(data::json)::json->>'city')  city 
	, (json_array_elements(data::json)::json->>'referrerName')  referrer_name 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='f31fc54503de4ceda87ec9b3c99e4d0e' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='f31fc54503de4ceda87ec9b3c99e4d0e';
\q