
DROP TABLE IF EXISTS p30_common.cust_label_rela;
CREATE TABLE IF NOT EXISTS p30_common.cust_label_rela (
	 cust_id  varchar(10) 
	, cust_label_id  varchar(10) 
	, cust_label_name  varchar(200) 
	, cust_external_id  varchar(50) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( cust_id,cust_label_id,cust_external_id )
);

 COMMENT ON COLUMN p30_common.cust_label_rela.cust_id IS '客户编号'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.cust_label_id IS '客户标签编号'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.cust_label_name IS '客户标签名称'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.cust_external_id IS '客户外部企业ID'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p30_common.cust_label_rela.Src_Table IS '来源表'; 

COMMENT ON TABLE p30_common.cust_label_rela IS '客户标签关系表';