/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_custom_details;

insert into  data_api.tr_custom_details ( 
	 id 
	, name 
	, sex 
	, tel 
	, email 
	, address 
	, level 
	, share_type 
	, share 
	, remark 
	, source 
	, creator_type 
	, creator_id 
	, modifier_type 
	, modifier_id 
	, last_contact_time 
	, last_contact_type 
	, customize 
	, create_time 
	, update_time 
	, visitor_ids 
	, creator_name 
	, modifier_name 
	, ib_bridged_number 
	, ob_bridged_number 
	, ob_number 
	, assign_time 
	, external_id 
	, ib_number 
	, retrieve 
	, retrieve_time 
	, queue_without_attribution 
	, phase_id 
	, phase_reason_id 
	, promote_source 
	, repeat_promote_count 
	, last_repeat_promote_time 
	, label_ids 
	,etl_tx_dt
)
select 
	 case when trim(both from id)='' then null else  id::text  end  id 
	, case when trim(both from name)='' then null else  name::text  end  name 
	, case when trim(both from sex)='' then null else  sex::text  end  sex 
	, case when trim(both from tel)='' then null else  tel::text  end  tel 
	, case when trim(both from email)='' then null else  email::text  end  email 
	, case when trim(both from address)='' then null else  address::text  end  address 
	, case when trim(both from level)='' then null else  level::text  end  level 
	, case when trim(both from share_type)='' then null else  share_type::text  end  share_type 
	, case when trim(both from share)='' then null else  share::text  end  share 
	, case when trim(both from remark)='' then null else  remark::text  end  remark 
	, case when trim(both from source)='' then null else  source::text  end  source 
	, case when trim(both from creator_type)='' then null else  creator_type::text  end  creator_type 
	, case when trim(both from creator_id)='' then null else  creator_id::text  end  creator_id 
	, case when trim(both from modifier_type)='' then null else  modifier_type::text  end  modifier_type 
	, case when trim(both from modifier_id)='' then null else  modifier_id::text  end  modifier_id 
	, case when trim(both from last_contact_time)='' then null else  last_contact_time::text  end  last_contact_time 
	, case when trim(both from last_contact_type)='' then null else  last_contact_type::text  end  last_contact_type 
	, case when trim(both from customize)='' then null else  customize::text  end  customize 
	, case when trim(both from create_time)='' then null else  create_time::text  end  create_time 
	, case when trim(both from update_time)='' then null else  update_time::text  end  update_time 
	, case when trim(both from visitor_ids)='' then null else  visitor_ids::text  end  visitor_ids 
	, case when trim(both from creator_name)='' then null else  creator_name::text  end  creator_name 
	, case when trim(both from modifier_name)='' then null else  modifier_name::text  end  modifier_name 
	, case when trim(both from ib_bridged_number)='' then null else  ib_bridged_number::text  end  ib_bridged_number 
	, case when trim(both from ob_bridged_number)='' then null else  ob_bridged_number::text  end  ob_bridged_number 
	, case when trim(both from ob_number)='' then null else  ob_number::text  end  ob_number 
	, case when trim(both from assign_time)='' then null else  assign_time::text  end  assign_time 
	, case when trim(both from external_id)='' then null else  external_id::text  end  external_id 
	, case when trim(both from ib_number)='' then null else  ib_number::text  end  ib_number 
	, case when trim(both from retrieve)='' then null else  retrieve::text  end  retrieve 
	, case when trim(both from retrieve_time)='' then null else  retrieve_time::text  end  retrieve_time 
	, case when trim(both from queue_without_attribution)='' then null else  queue_without_attribution::text  end  queue_without_attribution 
	, case when trim(both from phase_id)='' then null else  phase_id::text  end  phase_id 
	, case when trim(both from phase_reason_id)='' then null else  phase_reason_id::text  end  phase_reason_id 
	, case when trim(both from promote_source)='' then null else  promote_source::text  end  promote_source 
	, case when trim(both from repeat_promote_count)='' then null else  repeat_promote_count::text  end  repeat_promote_count 
	, case when trim(both from last_repeat_promote_time)='' then null else  last_repeat_promote_time::text  end  last_repeat_promote_time 
	, case when trim(both from label_ids)='' then null else  label_ids::text  end  label_ids 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'id')  id 
	, (json_array_elements(data::json)::json->>'name')  name 
	, (json_array_elements(data::json)::json->>'sex')  sex 
	, (json_array_elements(data::json)::json->>'tel')  tel 
	, (json_array_elements(data::json)::json->>'email')  email 
	, (json_array_elements(data::json)::json->>'address')  address 
	, (json_array_elements(data::json)::json->>'level')  level 
	, (json_array_elements(data::json)::json->>'shareType')  share_type 
	, (json_array_elements(data::json)::json->>'share')  share 
	, (json_array_elements(data::json)::json->>'remark')  remark 
	, (json_array_elements(data::json)::json->>'source')  source 
	, (json_array_elements(data::json)::json->>'creatorType')  creator_type 
	, (json_array_elements(data::json)::json->>'creatorId')  creator_id 
	, (json_array_elements(data::json)::json->>'modifierType')  modifier_type 
	, (json_array_elements(data::json)::json->>'modifierId')  modifier_id 
	, (json_array_elements(data::json)::json->>'lastContactTime')  last_contact_time 
	, (json_array_elements(data::json)::json->>'lastContactType')  last_contact_type 
	, (json_array_elements(data::json)::json->>'customize')  customize 
	, (json_array_elements(data::json)::json->>'createTime')  create_time 
	, (json_array_elements(data::json)::json->>'updateTime')  update_time 
	, (json_array_elements(data::json)::json->>'visitorIds')  visitor_ids 
	, (json_array_elements(data::json)::json->>'creatorName')  creator_name 
	, (json_array_elements(data::json)::json->>'modifierName')  modifier_name 
	, (json_array_elements(data::json)::json->>'ibBridgedNumber')  ib_bridged_number 
	, (json_array_elements(data::json)::json->>'obBridgedNumber')  ob_bridged_number 
	, (json_array_elements(data::json)::json->>'obNumber')  ob_number 
	, (json_array_elements(data::json)::json->>'assignTime')  assign_time 
	, (json_array_elements(data::json)::json->>'externalId')  external_id 
	, (json_array_elements(data::json)::json->>'ibNumber')  ib_number 
	, (json_array_elements(data::json)::json->>'retrieve')  retrieve 
	, (json_array_elements(data::json)::json->>'retrieveTime')  retrieve_time 
	, (json_array_elements(data::json)::json->>'queueWithoutAttribution')  queue_without_attribution 
	, (json_array_elements(data::json)::json->>'phaseId')  phase_id 
	, (json_array_elements(data::json)::json->>'phaseReasonId')  phase_reason_id 
	, (json_array_elements(data::json)::json->>'promoteSource')  promote_source 
	, (json_array_elements(data::json)::json->>'repeatPromoteCount')  repeat_promote_count 
	, (json_array_elements(data::json)::json->>'lastRepeatPromoteTime')  last_repeat_promote_time 
	, (json_array_elements(data::json)::json->>'labelIds')  label_ids 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='010d4668242c4b96b4964693edcf5556' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='010d4668242c4b96b4964693edcf5556';
\q