/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_7'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_7' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name
,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)
,'' AS Remark
FROM ( SELECT p1.crm_contact_account  
,p2.scrm_leads_id
,'' livechat_leads_id 
,p1.email CRM_EMAIL
,p2.email SCRM_EMAIL
,'' LIVECHAT_EMAIL
,p1.mobile_phone CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,'' LIVECHAT_MOBILE_PHONE
 FROM p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
where p2.mobile_phone is not null 
and (p1.email <> p2.email ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_8'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_8' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)
,'' AS Remark
FROM ( SELECT p1.crm_contact_account  
,p2.scrm_leads_id
,'' livechat_leads_id 
,p1.email CRM_EMAIL
,p2.email SCRM_EMAIL
,'' LIVECHAT_EMAIL
,p1.mobile_phone CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,'' LIVECHAT_MOBILE_PHONE
 FROM  p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
where p2.email is not null 
and (p1.mobile_phone <> p2.mobile_phone ) )P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_9'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_9' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p1.crm_contact_account  
,p2.scrm_leads_id
,'' livechat_leads_id 
,p1.email CRM_EMAIL
,p2.email SCRM_EMAIL
,'' LIVECHAT_EMAIL
,p1.mobile_phone CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,'' LIVECHAT_MOBILE_PHONE
 FROM p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
and p1.email_availability = '1'
and p2.email_availability = '1'
where p2.mobile_phone is not null 
and (p1.email <> p2.email ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_10'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_10' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p1.crm_contact_account  
,p2.scrm_leads_id
,'' livechat_leads_id 
,p1.email CRM_EMAIL
,p2.email SCRM_EMAIL
,'' LIVECHAT_EMAIL
,p1.mobile_phone CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,'' LIVECHAT_MOBILE_PHONE
 FROM  p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
and p1.mobile_phone_availability = '1'
and p2.mobile_phone_availability = '1'
where p2.email is not null 
and (p1.mobile_phone <> p2.mobile_phone ))P1;


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_11'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_11' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p1.crm_contact_account  
,p2.scrm_leads_id
,p3.livechat_leads_id 
,p1.email CRM_EMAIL
,p2.email SCRM_EMAIL
,P3.email LIVECHAT_EMAIL
,p1.mobile_phone CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,P3.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
LEFT JOIN p30_common.d_livechat_contact p3
on p1.mobile_phone = p3.mobile_phone 
AND p2.mobile_phone = p3.mobile_phone
where p2.mobile_phone is not null 
and (p1.email <> p2.email 
or p1.email <> p3.email
or p2.email <> p3.email ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_12'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_12' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p1.crm_contact_account  
,p2.scrm_leads_id
,p3.livechat_leads_id 
,p1.email CRM_EMAIL
,p2.email SCRM_EMAIL
,P3.email LIVECHAT_EMAIL
,p1.mobile_phone CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,P3.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM  p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
LEFT JOIN p30_common.d_livechat_contact p3
on p1.email = p3.email 
AND p2.email = p3.email
where p2.email is not null 
and (p1.mobile_phone <> p2.mobile_phone 
or p1.mobile_phone <> p3.mobile_phone
or p2.mobile_phone <> p3.mobile_phone))P1;


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_13'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_13' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p1.crm_contact_account  
,p2.scrm_leads_id
,p3.livechat_leads_id 
,p1.email CRM_EMAIL
,p2.email SCRM_EMAIL
,P3.email LIVECHAT_EMAIL
,p1.mobile_phone CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,P3.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
LEFT JOIN p30_common.d_livechat_contact p3
on p1.mobile_phone = p3.mobile_phone 
AND p2.mobile_phone = p3.mobile_phone
where p2.mobile_phone is not null
and p1.email_availability = '1'
and p2.email_availability = '1'
and p3.email_availability = '1' 
and (p1.email <> p2.email 
or p1.email <> p3.email
or p2.email <> p3.email ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_14'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_14' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p1.crm_contact_account  
,p2.scrm_leads_id
,p3.livechat_leads_id 
,p1.email CRM_EMAIL
,p2.email SCRM_EMAIL
,P3.email LIVECHAT_EMAIL
,p1.mobile_phone CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,P3.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM  p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
LEFT JOIN p30_common.d_livechat_contact p3
on p1.email = p3.email 
AND p2.email = p3.email
where p2.email is not null 
and p1.mobile_phone_availability = '1'
and p2.mobile_phone_availability = '1'
and p3.mobile_phone_availability = '1'
and (p1.mobile_phone <> p2.mobile_phone 
or p1.mobile_phone <> p3.mobile_phone
or p2.mobile_phone <> p3.mobile_phone))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_15'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_15' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT '' crm_contact_account  
,p2.scrm_leads_id
,p1.livechat_leads_id 
,'' CRM_EMAIL
,p2.email SCRM_EMAIL
,P1.email LIVECHAT_EMAIL
,'' CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,P1.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM p30_common.d_livechat_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
where p2.mobile_phone is not null 
and (p1.email <> p2.email ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_16'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_16' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT '' crm_contact_account  
,p2.scrm_leads_id
,p1.livechat_leads_id 
,'' CRM_EMAIL
,p2.email SCRM_EMAIL
,P1.email LIVECHAT_EMAIL
,'' CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,P1.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM  p30_common.d_livechat_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
where p2.email is not null 
and (p1.mobile_phone <> p2.mobile_phone ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_17'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_17' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT '' crm_contact_account  
,p2.scrm_leads_id
,p1.livechat_leads_id 
,'' CRM_EMAIL
,p2.email SCRM_EMAIL
,P1.email LIVECHAT_EMAIL
,'' CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,P1.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM p30_common.d_livechat_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
and p1.email_availability = '1'
and p2.email_availability = '1'
where p2.mobile_phone is not null 
and (p1.email <> p2.email ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_18'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_18' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT '' crm_contact_account  
,p2.scrm_leads_id
,p1.livechat_leads_id 
,'' CRM_EMAIL
,p2.email SCRM_EMAIL
,P1.email LIVECHAT_EMAIL
,'' CRM_MOBILE_PHONE
,p2.mobile_phone SCRM_MOBILE_PHONE
,P1.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM  p30_common.d_livechat_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
and p1.mobile_phone_availability = '1'
and p2.mobile_phone_availability = '1'
where p2.email is not null 
and (p1.mobile_phone <> p2.mobile_phone ))P1;


DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_19'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_19' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p2.crm_contact_account  
,'' scrm_leads_id
,p1.livechat_leads_id 
,p2.email CRM_EMAIL
,'' SCRM_EMAIL
,P1.email LIVECHAT_EMAIL
,p2.mobile_phone CRM_MOBILE_PHONE
,'' SCRM_MOBILE_PHONE
,P1.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM p30_common.d_livechat_contact p1
left join p30_common.d_crm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
where p2.mobile_phone is not null 
and (p1.email <> p2.email ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_20'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_20' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p2.crm_contact_account  
,'' scrm_leads_id
,p1.livechat_leads_id 
,p2.email CRM_EMAIL
,'' SCRM_EMAIL
,P1.email LIVECHAT_EMAIL
,p2.mobile_phone CRM_MOBILE_PHONE
,'' SCRM_MOBILE_PHONE
,P1.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM  p30_common.d_livechat_contact p1
left join p30_common.d_crm_contact p2
on p1.email=p2.email
and p2.email<> ''
where p2.email is not null 
and (p1.mobile_phone <> p2.mobile_phone ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_21'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_21' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p2.crm_contact_account  
,'' scrm_leads_id
,p1.livechat_leads_id 
,p2.email CRM_EMAIL
,'' SCRM_EMAIL
,P1.email LIVECHAT_EMAIL
,p2.mobile_phone CRM_MOBILE_PHONE
,'' SCRM_MOBILE_PHONE
,P1.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM p30_common.d_livechat_contact p1
left join p30_common.d_crm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
and p1.email_availability = '1'
and p2.email_availability = '1'
where p2.mobile_phone is not null 
and (p1.email <> p2.email ))P1;

DELETE FROM p51_dqc.DQ_CHECK_RESULT_DETAIL
WHERE CHECK_ID ='Cons22_22'
AND CHECK_TYPE_CD = 'Cons22'
;
INSERT INTO p51_dqc.DQ_CHECK_RESULT_DETAIL(
        CHECK_ID
       ,CHECK_TYPE_CD
       ,CHECK_RUN_DATE
       ,SRC_SYS_BRIEF_NAME
       ,SRC_DB_NAME
       ,SRC_SCHEMA_NAME
       ,SRC_TABLE_NAME
       ,SRC_COLUMN_NAME
       ,SRC_TABLE_EXCPT_REC
       ,DATA_DETAIL
       ,REMARK
       ) 
SELECT 'Cons22_22' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date

,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'contact' AS Src_Table_Name
,'' AS Src_Column_Name

,1 AS Src_Table_Total_Rec
,ROW_TO_JSON(P1)

,'' AS Remark
FROM ( SELECT p2.crm_contact_account  
,'' scrm_leads_id
,p1.livechat_leads_id 
,p2.email CRM_EMAIL
,'' SCRM_EMAIL
,P1.email LIVECHAT_EMAIL
,p2.mobile_phone CRM_MOBILE_PHONE
,'' SCRM_MOBILE_PHONE
,P1.mobile_phone LIVECHAT_MOBILE_PHONE
 FROM  p30_common.d_livechat_contact p1
left join p30_common.d_crm_contact p2
on p1.email=p2.email
and p2.email<> ''
and p1.mobile_phone_availability = '1'
and p2.mobile_phone_availability = '1'
where p2.email is not null 
and (p1.mobile_phone <> p2.mobile_phone ))P1;

\q